%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:       pympdtouchgui
Version:    0.327
Release:    7%{?dist}
Summary:    Client for the MPD Music Player Daemon that is usable via touchscreen    

Group:      Applications/Multimedia    
License:    GPLv2
URL:        http://www.spida.net/projects/pympdtouchgui/    
Source0:    http://www.spida.net/projects/software/pympdtouchgui/pympdtouchgui-0.327.tgz
Source1:    %{name}.png
Patch0:     pympdtouchgui-config.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:   pygame
Requires:   python-imaging
Requires:   python-twisted
BuildRequires: python-devel
BuildRequires: desktop-file-utils

%description
%{name} is a client for MPD that is usable via touchscreen and 
will run on embedded-systems without X (but works with X and a mouse,
too).

%prep
%setup -q
%patch0 

%build
%{__python} setup.py build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install --skip-build --root $RPM_BUILD_ROOT

desktop-file-install --vendor="" \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop

install -p -m 644 -D %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/pixmaps/%{name}.png

# this file is never going to be executed directly
%{__sed} -i "s|#!/usr/bin/env python||" $RPM_BUILD_ROOT/%{python_sitelib}/libpympdtouchgui/mpdclienttwisted.py


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%config(noreplace) %{_sysconfdir}/%{name}rc
%{_var}/lib/%{name}
%{python_sitelib}/*
%doc %{_docdir}/*


%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.327-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 24 2010 Adam Tkac <atkac redhat com> - 0.327-1
- merge following changes from F13 branch [Sven Lankes]
  - New upstream release
  - remove upstreamed setup.py patch

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.325-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed Feb 10 2010 Sven Lankes <sven@lank.es> - 0.325-1
- New upstream release

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.309-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.309-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Jan 19 2009 Sven Lankes <sven@lank.es> - 0.309-1
- new upstream release

* Mon Dec 22 2008 Sven Lankes <sven@lank.es> - 0.302-6
- rebuild for python 2.6

* Mon Nov 03 2008 Sven Lankes <sven@lank.es> - 0.302-5
- add Icon

* Mon Nov 03 2008 Sven Lankes <sven@lank.es> - 0.302-4
- rename patch
- add .desktop-file

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-3
- update patch to also change wrong paths (upstream is aware of the issues addressed by the patch and they should be fixed there soon)
- update patch to fix wrong theme-destination dir

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-2
- change handline of doc-files

* Sun Nov 02 2008 Sven Lankes <sven@lank.es> - 0.302-1
- initial package

